Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.publication.protocol.v3
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.ehbox.publication.protocol.v3.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.ehbox.publication.protocol.v3 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.ehbox.publication.protocol.v3

Method Summary
`ContentContextType` | `createContentContextType()` Create an instance of `ContentContextType`
`ContentSpecificationType` | `createContentSpecificationType()` Create an instance of `ContentSpecificationType`
`DestinationContextType` | `createDestinationContextType()` Create an instance of `DestinationContextType`
`PublicationAnnexType` | `createPublicationAnnexType()` Create an instance of `PublicationAnnexType`
`PublicationContentType` | `createPublicationContentType()` Create an instance of `PublicationContentType`
`PublicationDocumentType` | `createPublicationDocumentType()` Create an instance of `PublicationDocumentType`
`Recipient` | `createRecipient()` Create an instance of `Recipient`
`SendMessageRequest` | `createSendMessageRequest()` Create an instance of `SendMessageRequest`
`SendMessageResponse` | `createSendMessageResponse()` Create an instance of `SendMessageResponse`
`Substitute` | `createSubstitute()` Create an instance of `Substitute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.ehbox.publication.protocol.v3

Method Detail

### createSendMessageRequest

    public SendMessageRequest createSendMessageRequest()

  Create an instance of `SendMessageRequest`

### createDestinationContextType

    public DestinationContextType createDestinationContextType()

  Create an instance of `DestinationContextType`

### createContentContextType

    public ContentContextType createContentContextType()

  Create an instance of `ContentContextType`

### createSendMessageResponse

    public SendMessageResponse createSendMessageResponse()

  Create an instance of `SendMessageResponse`

### createRecipient

    public Recipient createRecipient()

  Create an instance of `Recipient`

### createPublicationContentType

    public PublicationContentType createPublicationContentType()

  Create an instance of `PublicationContentType`

### createContentSpecificationType

    public ContentSpecificationType createContentSpecificationType()

  Create an instance of `ContentSpecificationType`

### createPublicationAnnexType

    public PublicationAnnexType createPublicationAnnexType()

  Create an instance of `PublicationAnnexType`

### createPublicationDocumentType

    public PublicationDocumentType createPublicationDocumentType()

  Create an instance of `PublicationDocumentType`

### createSubstitute

    public Substitute createSubstitute()

  Create an instance of `Substitute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.